apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: cert-manager-account-secret-external
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: gitlab-secret-store
  target:
    name: cert-manager-account-secret
    creationPolicy: Owner
  data:
    - secretKey: certmanager-cloudflare-api-token
      remoteRef:
        key: CERTMANAGER_CLOUDFLARE_API_TOKEN
